Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapHeaders.Names

    java.lang.Object
      ch.mimo.netty.handler.codec.icap.IcapHeaders.Names

Enclosing class:
  IcapHeaders

    public static final class IcapHeaders.Names

extends Object

The most common Icap Header names.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Field Summary
`static String` | `ALLOW` `"Allow"`
`static String` | `AUTHORIZATION` `"Authorization"`
`static String` | `CACHE_CONTROL` `"Cache-Control"`
`static String` | `CONNECTION` `"Connection"`
`static String` | `DATE` `"Date"`
`static String` | `ENCAPSULATED` `"Encapsulated"`
`static String` | `EXPIRES` `"Expires"`
`static String` | `FROM` `"From"`
`static String` | `HOST` `"Host"`
`static String` | `ISTAG` `"ISTag"`
`static String` | `PRAGMA` `"Pragma"`
`static String` | `PREVIEW` `"Preview"`
`static String` | `REFERER` `"Referer"`
`static String` | `TRAILER` `"Trailer"`
`static String` | `UPGRADE` `"Upgrade"`
`static String` | `USER_AGENT` `"User-Agent"`

Constructor Summary
`IcapHeaders.Names()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_CONTROL

    public static final String CACHE_CONTROL

  `"Cache-Control"`

  See Also:
    Constant Field Values

### CONNECTION

    public static final String CONNECTION

  `"Connection"`

  See Also:
    Constant Field Values

### DATE

    public static final String DATE

  `"Date"`

  See Also:
    Constant Field Values

### EXPIRES

    public static final String EXPIRES

  `"Expires"`

  See Also:
    Constant Field Values

### PRAGMA

    public static final String PRAGMA

  `"Pragma"`

  See Also:
    Constant Field Values

### TRAILER

    public static final String TRAILER

  `"Trailer"`

  See Also:
    Constant Field Values

### UPGRADE

    public static final String UPGRADE

  `"Upgrade"`

  See Also:
    Constant Field Values

### ENCAPSULATED

    public static final String ENCAPSULATED

  `"Encapsulated"`

  See Also:
    Constant Field Values

### AUTHORIZATION

    public static final String AUTHORIZATION

  `"Authorization"`

  See Also:
    Constant Field Values

### ALLOW

    public static final String ALLOW

  `"Allow"`

  See Also:
    Constant Field Values

### FROM

    public static final String FROM

  `"From"`

  See Also:
    Constant Field Values

### HOST

    public static final String HOST

  `"Host"`

  See Also:
    Constant Field Values

### REFERER

    public static final String REFERER

  `"Referer"`

  See Also:
    Constant Field Values

### USER_AGENT

    public static final String USER_AGENT

  `"User-Agent"`

  See Also:
    Constant Field Values

### PREVIEW

    public static final String PREVIEW

  `"Preview"`

  See Also:
    Constant Field Values

### ISTAG

    public static final String ISTAG

  `"ISTag"`

  See Also:
    Constant Field Values

Constructor Detail

### IcapHeaders.Names

    public IcapHeaders.Names()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.